
/*  -*- MaTX -*-
 *
 *  ̾
 *      chol() - 쥹ʬ
 *
 *  ڷ
 *      R = chol(A)
 *         Matrix R;
 *         Matrix A;
 *
 *  ڵǽ
 *      R = chol(A)ϡоι A Υ쥹롣⤷A 
 *      ʤ顤R' * R = A 廰ѹ R 롣⤷A
 *      ǤʤС顼ˤʤ롣
 *
 *  
 *      A = [[2 2 4][2 5 6][4 6 10];
 *      R = chol(A)
 *      === [R] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.41421356E+00  1.41421356E+00  2.82842712E+00
 *      (  2)  0.00000000E+00  1.73205081E+00  1.15470054E+00
 *      (  3)  0.00000000E+00  0.00000000E+00  8.16496581E-01
 *
 *      print R'*R
 *      === [ans] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  2.00000000E+00  2.00000000E+00  4.00000000E+00
 *      (  2)  2.00000000E+00  5.00000000E+00  6.00000000E+00
 *      (  3)  4.00000000E+00  6.00000000E+00  1.00000000E+01
 *
 *  ڴϢܡ
 *     
 */

Func Matrix chol(X)
	Matrix X;
{
	Matrix R;
	Integer n, j;
	Real eps;

	eps = frobnorm(X)*EPS;
	n = Cols(X);

	if (max(abs(Array(X - X#))) > eps) {
		printf("max(abs(Array(X - X#))) = %g\n", max(abs(Array(X - X#))));
		warning("chol(): оι󤫤ĥߡȹǤʤ\n");
	}

	R = X;
	for (j = 1; j <= n; j++) {
		if (j > 1) {
			R(j:n,j) = R(j:n,j) - R(j:n,1:j-1)*R(j,1:j-1)#;
		}
		if (R(j,j) < 0.0) {
			error("chol(): Ǥʤ\n");
		}
		R(j:n,j) = R(j:n,j)/sqrt(R(j,j));
	}

	for (j = 1; j <= n-1; j++) {
		R(j,j+1:*) = Z(1,n-j);
	}
	
	if (max(abs(Array(R*R# - X))) > eps) {
		printf("max(abs(R*R# - X)) = %g\n", max(abs(Array(R*R# - X))));
		warning("chol(): ʬΤǤʤ⤷ʤ\n");
	}

	return R#;
}
