
/*  -*- MaTX -*-
 *
 *  ̾
 *      ode23() - 2  3  Runge-Kutta ˤʬβ
 *
 *  ڷ
 *      {tout, yout} = ode23(FunFcn, t0, tfinal, y0, tol, trc, ...)
 *         Matrix tout, yout;
 *         Matrix FunFnc();
 *         Real t0, tfinal;
 *         Matrix y0;
 *         ...
 *         Real tol = 0.001;
 *         Integer trc = 0;
 *  ڵǽ
 *      ʬ 2  3  Runge-Kutta Ѥʬ롣
 *	    ode45()  odedemo.mm 򻲾Ȥ衣
 *
 *      ode23(yprime, T0, Tfinal, Y0) ϴؿ yprime() ˵Ҥ
 *      줿ʬ T0  Tf δ֤ǽ Y0 Ѥʬ롣
 *      ode23(F, T0, Tfinal, Y0, TOL, 1) ϵƸ TOL Ѥ
 *      ʬβɽ롣η̤ mgplot() ǥץåȤǤ롣
 *
 *  ϰ
 *      F     - 桼Ϳ򵭽Ҥؿ
 *              yprime = F(t,y)
 *                 Real  t;        // 
 *                 Matrix y;       // 
 *                 Matrix yprime;  // ֤ʬ
 *      t0    - 
 *      tfinal- ü
 *      y0    - 
 *      tol   - Ƹ (ǥե: tol = 1.0e-3).
 *      trace - ⤷󥼥ʤвɽ (ǥե: trace = 0).
 *
 *  ͡
 *      T  - ʬ (٥ȥ)
 *      Y  -  (ƻФ 1 Ĥ٥ȥ)
 *
 */

Func List ode23(FunFcn, t0, tfinal, y0, tol, trc, ...)
	Matrix FunFcn();
	Real t0, tfinal;
	Matrix y0;
	Real tol;
	Integer trc;
{
	Matrix yout,tout,y,s1,s2,s3;
	Real delta,tau,h,hmax,hmin,t,pw;
	
	error(nargchk(4, 6, nargs, "ode23"));

	// 
	pw = 1.0/3.0;

	if (nargs < 5) {
		tol = 0.001;
	}
	if (nargs < 6) {
		trc = 0;
	}

	// 
	t = t0;
	hmax = (tfinal - t)/5;
	hmin = (tfinal - t)/20000;
	h = (tfinal - t)/100;
	y = makecolv(y0);
	tout = [t];
	yout = y';
	tau = tol * max(infnorm(y), 1.0);

	if (trc) {
		clear;
		gotoxy(1,1);
		print "\n", t, "\n", h, "\n", y;
	}

	// 롼
	while (t < tfinal && h >= hmin) {
		if (t + h > tfinal) {
			h = tfinal - t;
		}

		// ׻
		s1 = FunFcn(t, y);
		s2 = FunFcn(t+h, y+h*s1);
		s3 = FunFcn(t+h/2, y+h*(s1+s2)/4);

		// ȵƸ
		delta = infnorm(h*(s1 - 2*s3 + s2)/3);
		tau = tol*max(infnorm(y),1.0);

		// ϰϤʤ򹹿
		if (delta <= tau) {
			t = t + h;
			y = y + h*(s1 + 4*s3 + s2)/6;
			tout = [[tout][t]];
			yout = [[yout][y']];
		}
		if (trc) {
			gotoxy(1,1);
			print "\n", t, "\n", h, "\n", y;
		}
		
		// ߤ򹹿
		if (delta != 0.0) {
			h = min(hmax, 0.9*h*(tau/delta)^pw);
		}
	}

	if (t < tfinal) {
		warning("ðŪȯ\n");
		print t;
	}

	return {tout, yout};
}
