
/*  -*- MaTX -*-
 *
 *  ̾
 *      ode45() - 4  5  Runge-Kutta ˤʬβ
 *
 *  ڷ
 *      {tout,yout} = ode45(FunFcn, t0, tfinal, y0, tol, trc, ...)
 *         Matrix tout, yout;
 *         Matrix FunFcn();
 *         Real t0, tfinal;
 *         Matrix y0;
 *         ...
 *         Real tol = 1.e-6;
 *         Integer trc = 0;
 *  ڵǽ
 *      ʬ 4  5  Runge-Kutta Ѥʬ롣
 *	    ode23()  odedemo.mm 򻲾Ȥ衣
 * 
 *      ode45(yprime, T0, Tfinal, Y0) ϴؿ yprime() ˵Ҥ
 *      줿ʬ T0  Tf δ֤ǽ Y0 Ѥʬ롣
 *	    ode45(F, T0, Tfinal, Y0, TOL, 1) ϵƸ TOL Ѥ
 *      ʬβɽ롣
 * 
 *  ϰ
 *      FunFcn - 桼Ϳ򵭽Ҥؿ
 *             yprime = FunFcn(t,y)
 *                Real  t;        // 
 *                Matrix y;       // 
 *                Matrix yprime;  // ֤ʬ
 *      t0    - 
 *      tfinal- ü
 *      y0    - 
 *      tol   - Ƹ (ǥե: tol = 1.e-3)
 *      trace - ⤷󥼥ʤвɽ (ǥե: trace = 0)
 *
 *  ͡
 *      tout  - ʬ (٥ȥ)
 *      yout  -  (ƻФ 1 Ĥ٥ȥ)
 *
 *      η̤ mgplot(win, tout, yout) ǥץåȤǤ롣
 *
 */

Func List ode45(FunFcn, t0, tfinal, y0, tol, trc, ...)
	Matrix FunFcn();
	Real t0, tfinal;
	Matrix y0;
	Real tol;
	Integer trc;
{
	Integer j;
	Matrix tout,yout,alpha,beta,f,gamma,y;
	Real h,hmax,hmin,pw,t,tau,delta;

	error(nargchk(4, 6, nargs, "ode45"));

	// Fehlberg :
	alpha = [1.0/4.0  3.0/8.0  12.0/13.0  1.0  1.0/2.0]';

	beta  = [[[    1,      0,      0,    0,     0,  0]/4]
			 [[    3,      9,      0,    0,     0,  0]/32]
			 [[ 1932,  -7200,   7296,    0,     0,  0]/2197]
			 [[ 8341, -32832,  29440, -845,     0,  0]/4104]
			 [[-6080,  41040, -28352, 9295, -5643,  0]/20520]]';

	gamma = [[[902880  0  3953664  3855735, -1371249  277020]/7618050]
			 [[ -2090  0    22528    21970, -15048,   -27360]/752400 ]]';

	pw = 1.0/5.0;
	if (nargs < 6) {
		trc = 0;
	}
	if (nargs < 5) {
		tol = 1.e-6;
	}

	// 
	t = t0;
	hmax = (tfinal - t)/5;
	hmin = (tfinal - t)/20000;
	h = (tfinal - t)/100;
	y = makecolv(y0);
	f = y*Z(1,6);
	tout = [t];
	yout = y';
	tau = tol*max(infnorm(y), 1.0);

	if (trc) {
		clear;
		gotoxy(1,1);
		print "\n", t, "\n", h, "\n", y;
	}

	// 롼
	while (t < tfinal && h >= hmin) {
		if (t + h > tfinal) {
			h = tfinal - t;
		}

		// ׻
		f(:,1) = FunFcn(t,y);
		for (j = 1; j <= 5; j++) {
			f(:,j+1) = FunFcn(t+alpha(j)*h, y+h*f*beta(:,j));
		}

		// ȵƸ
		delta = infnorm(h*f*gamma(:,2));
		tau = tol*max(infnorm(y),1.0);

		// ϰϤʤ򹹿
		if (delta <= tau) {
			t = t + h;
			y = y + h*f*gamma(:,1);
			tout = [[tout][t]];
			yout = [[yout][y']];
		}
		if (trc) {
			gotoxy(1,1);
			print "\n", t, "\n", h, "\n", y;
		}

		// ߤ򹹿
		if (delta != 0.0) {
			h = min(hmax, 0.8*h*(tau/delta)^pw);
		}
	}
	
	if (t < tfinal) {
		warning("ðŪȯ\n");
		print t;
	}
	return {tout, yout};
}
