
/*  -*- MaTX -*-
 *
 *  ̾
 *      unwrap() - Ѥν
 *
 *  ڷ
 *      Y = unwrap(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = unwrap(X,cutoff)
 *         Array Y;
 *         Array X;
 *         Real cutoff;
 *
 *  ڵǽ
 *      Y = unwrap(X) ϡͤѲ PI 礭ȤϢ³
 *      뤿ᡤ+- 2 PI ܲäƹ X ʬ롣X 
 *      ʬϡ鱦夫鲼ءȤ롣Y = unwrap(X, cutoff)
 *      ϡͤΰѲ cuffoff 礭Ȥ򤹤롣
 *      cutoff ٤ǻꤹ롣
 *
 *      unwrap() Ǥ뤬ǡʤǡ޷Ѳ
 *      ̤ʤȤ롣
 * 
 *  
 *
 *      j = (0,1);
 *      s = Polynomial("s");
 *      w = logspace(-2.0, 3.0);
 *      G = 1/(s^3 + 2*s^2 + 3*s + 4);
 *      data = eval(G, j*w);
 *      p = unwrap(Im(log(data)));
 *      mgplot_semilogx(1,w,p);
 *
 *  ڴϢܡ
 *      unwrap_row(), unwrap_col()
 *
 *   ------------------------------------------------------------------------
 *
 *  ̾
 *      unwrap_col() - ΰѤν
 *
 *  ڷ
 *      Y = unwrap_col(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = unwrap_col(X,cutoff)
 *         Array Y;
 *         Array X;
 *         Real cutoff;
 *
 *  ڵǽ
 *      Y = unwrap_col(X) ϡͤѲ PI 礭ȤϢ
 *      ³뤿ᡤ+- 2 PI ܲäƥ٥ȥ X ʬ롣
 *      Y = unwrap_col(X, cutoff)ϡͤΰѲ cuffoff 
 *      Ȥ򤹤롣cutoff ٤ǻꤹ롣
 *
 *      X ΤȤ˰Ѥ롣Y  X Ʊ礭ˤʤ롣
 *
 *      unwrap_col() Ǥ뤬ǡʤǡ޷Ѳ
 *      ̤ʤȤ롣
 * 
 *  
 *
 *      j = (0,1);
 *      s = Polynomial("s");
 *      w = logspace(-2.0, 3.0);
 *      G = [1/(s^3 + 2*s^2 + 3*s + 4), 1/(s+1)];
 *      data = eval(G, j*w');
 *      p = unwrap_col(Im(log(data)));
 *      mgplot_semilogx(1,w,p');
 *
 *  ڴϢܡ
 *      unwrap(), unwrap_row()
 *
 *   ------------------------------------------------------------------------
 *
 *  ̾
 *      unwrap_row() - ΰѤν
 *
 *  ڷ
 *      Y = unwrap_row(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = unwrap_row(X,cutoff)
 *         Array Y;
 *         Array X;
 *         Real cutoff;
 *
 *  ڵǽ
 *      Y = unwrap_row(X) ϡͤѲ PI 礭ȤϢ
 *      ³뤿ᡤ+- 2 PI ܲäƥ٥ȥ X ʬ롣
 *      Y = unwrap_row(X, cutoff)ϡͤΰѲ cuffoff 
 *      Ȥ򤹤롣cutoff ٤ǻꤹ롣
 *
 *      X ΤȤ˰Ѥ롣Y  X Ʊ礭ˤʤ롣
 *
 *      unwrap_row() Ǥ뤬ǡʤǡ޷Ѳ
 *      ̤ʤȤ롣
 * 
 *  
 *
 *      j = (0,1);
 *      s = Polynomial("s");
 *      w = logspace(-2.0, 3.0);
 *      G = [[1/(s^3 + 2*s^2 + 3*s + 4)][1/(s+1)]];
 *      data = eval(G, j*w);
 *      p = unwrap_row(Im(log(data)));
 *      mgplot_semilogx(1,w,p);
 *
 *  ڴϢܡ
 *      unwrap(), unwrap_row()
 */


Func Array unwrap(praw, tol, ...)
	Array praw;
	Real tol;
{
	Array x;
	Integer m, n;

	error(nargchk(1, 2, nargs, "unwrap"));

	m = Rows(praw);
	n = Cols(praw);
	
	if (nargs == 1) {
		if (m == 1 || n == 1) {
			return unwrap_col(praw);
		} else {
			x = unwrap_col(reshape(praw, m*n, 1));
			return reshape(x, m, n);
		}
	} else {
		if (m == 1 || n == 1) {
			return unwrap_col(praw, tol);
		} else {
			x = unwrap_col(reshape(praw, m*n, 1), tol);
			return reshape(x, m, n);
		}
	}
}

Func Array unwrap_row(praw, tol, ...)
	Array praw;
	Real tol;
{
	error(nargchk(1, 2, nargs, "unwrap_row"));
	
	if (nargs == 1) {
		return trans(unwrap_col(trans(praw)));
	} else {
		return trans(unwrap_col(trans(praw), tol));

	}
}

Func Array unwrap_col(praw_, tol, ...)
	Array praw_;
	Real tol;
{
	Array praw,pfix,p,pd;
	Integer i,j,k,m,mo,no,n;
	Real closetopi;
	Index ijump;

	error(nargchk(1, 2, nargs, "unwrap_col"));

	praw = praw_;

	{m,n} = size(praw);
	mo = m;
	no = n;
	if (mo < no) {
		praw = trans(praw);
		{m,n} = size(praw);
	}

	pfix = praw;
	if (nargs == 1) {
		closetopi = PI*170./180.;    // Ƹ
	} else {
		closetopi = tol;             // Ƹ
	}

	for (j = 1; j <= n; j++) {
		p = praw(:,j);
		pd = diff(p);
		ijump = find(abs(pd) > closetopi);
		for (i = 1; i <= length(ijump); i++) {
			k = ijump(i);
			p(k+1:m) = p(k+1:m) .- 2*PI*sgn(pd(k));
		}
		pfix(:,j) = p;
	}

	if (mo < no) {
		pfix = trans(pfix);
	}
	return pfix;
}
